Package com.google.android.exoplayer2.testutil

## Class FakeExtractorInput.Builder

- java.lang.Object
- - com.google.android.exoplayer2.testutil.FakeExtractorInput.Builder

- Enclosing class:
    FakeExtractorInput

      public static final class FakeExtractorInput.Builder
      extends Object

  Builder of `FakeExtractorInput` instances.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FakeExtractorInput` | `build()` |
    `FakeExtractorInput.Builder` | `setData​(byte[] data)` |
    `FakeExtractorInput.Builder` | `setSimulateIOErrors​(boolean simulateIOErrors)` |
    `FakeExtractorInput.Builder` | `setSimulatePartialReads​(boolean simulatePartialReads)` |
    `FakeExtractorInput.Builder` | `setSimulateUnknownLength​(boolean simulateUnknownLength)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### setData

          @CanIgnoreReturnValue
          public FakeExtractorInput.Builder setData​(byte[] data)

    - #### setSimulateUnknownLength

          @CanIgnoreReturnValue
          public FakeExtractorInput.Builder setSimulateUnknownLength​(boolean simulateUnknownLength)

    - #### setSimulatePartialReads

          @CanIgnoreReturnValue
          public FakeExtractorInput.Builder setSimulatePartialReads​(boolean simulatePartialReads)

    - #### setSimulateIOErrors

          @CanIgnoreReturnValue
          public FakeExtractorInput.Builder setSimulateIOErrors​(boolean simulateIOErrors)

    - #### build

          public FakeExtractorInput build()